
\usepackage[explicit, nobottomtitles*]{titlesec}

\titleformat{\chapter}
  [block]
  {\Huge\bfseries\sffamily\color{main}}
  {\thechapter}
  {1em}
  {#1}

\titlespacing*{\chapter}
  {0pt}
  {-40pt}
  {0pt}
  [0pt]

\titleformat{\section}
  [block]
  {\huge\bfseries\sffamily\color{main}}
  {\thesection}
  {1em}
  {#1}

\titlespacing*{\section}
  {0pt}
  {10pt}
  {5pt}
  [0pt]

\titleformat{\subsection}
  [block]
  {\LARGE\sffamily\color{main}}
  {\thesubsection}
  {1em}
  {#1}

\titlespacing*{\subsection}
  {0pt}
  {7pt}
  {4pt}
  [0pt]

\titleformat{\subsubsection}
  [block]
  {\Large\sffamily\color{gray}}
  {}
  {0em}
  {#1}

\titlespacing*{\subsubsection}
  {0pt}
  {6pt}
  {3pt}
  [0pt]

\titleformat{\paragraph}
  [runin]
  {\normalsize\bfseries\color{black}}
  {}
  {0em}
  {#1}

\titlespacing*{\paragraph}
  {0pt}
  {6pt}
  {3pt}
  [0pt]

\titleformat{\subparagraph}
  [runin]
  {\normalsize\bfseries\color{gray}}
  {}
  {0em}
  {#1}

\titlespacing*{\subparagraph}
  {0pt}
  {6pt}
  {3pt}
  [0pt]
